package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF9C2 extends MwfRequest<MWF9C2, MWF9C2Response> {

    @Parameter(name = "CancelExtAccount")
    MWF9C2 cancelExtAccount(Boolean cancelExtAccount);
    @Parameter(name = "Cif")
    MWF9C2 cif(String cif);
    @Parameter(name = "DocumentId")
    MWF9C2 documentId(String documentId);
    @Parameter(name = "ExtAccBankCode")
    MWF9C2 extAccBankCode(String extAccBankCode);
    @Parameter(name = "ExtAccNumber")
    MWF9C2 extAccNumber(String extAccNumber);
    @Parameter(name = "ExtAccPrefix")
    MWF9C2 extAccPrefix(String extAccPrefix);
    @Parameter(name = "MonetaAccNumber")
    MWF9C2 monetaAccNumber(String monetaAccNumber);
    @Parameter(name = "SignatureId")
    MWF9C2 signatureId(String signatureId);
    @Parameter(name = "SignatureTimestamp")
    MWF9C2 signatureTimestamp(java.util.Date signatureTimestamp);
    @Parameter(name = "SwitchingDate")
    MWF9C2 switchingDate(java.util.Date switchingDate);
    @Parameter(name = "TransferPermOrders")
    MWF9C2 transferPermOrders(Boolean transferPermOrders);
}
